package dev.pfaff.altargui;

import java.util.function.BiConsumer;

/**
 * Responsible for performing layout.
 */
public interface StencilLayoutContext extends StateContext {
	/**
	 * Lays out an element. This also "keeps alive" the element.
	 */
	void layout(WidgetInstance parent, WidgetInstance element, BiConsumer<WidgetInstance<?>, StencilLayoutContext> layoutFunction);
}
