package dev.pfaff.altargui.widgets;

import dev.pfaff.altargui.*;
import org.jetbrains.annotations.NotNull;

public final class EmptyWidget implements Widget {
    public static final EmptyWidget INSTANCE = new EmptyWidget();

    private EmptyWidget() {}

    @Override
    public @NotNull WidgetInstance instantiate(WidgetInstantiationArgs args) {
        return new State(args);
    }

    private static final class State extends WidgetInstance<EmptyWidget> {
        private State(WidgetInstantiationArgs args) {
            super(args);
        }

        @Override
        public void configure(StateContext stateContext, EmptyWidget widget, boolean init) {
        }

        @Override
        protected void computeStencilLayout(StencilLayoutContext context) {
        }

        @Override
        protected void computeTraceLayout() {
        }

        @Override
        protected void computeMount(MountContext context) {
        }

        @Override
        public void uSpecMount(MountContext context) {
            super.uSpecMount(context);
        }
    }
}
